classification
Title: Create the html package
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fdrake Nosy List: brett.cannon, fdrake
Priority: release blocker Keywords:

Created on 2008-05-16 05:06 by brett.cannon, last changed 2008-05-20 07:13 by brett.cannon. This issue is now closed.

Messages (5)
msg66909 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:06
The html package as outlined in PEP 3108 needs to be created.
msg67024 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2008-05-18 06:24
Completed in revisions 63430, 63432, 63434 (Python 2.6), and 63431,
63435, 63439 (Python 3.0).
msg67098 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:37
The changes in 2.6 need to be reverted, leaving only a note in the docs.
msg67105 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2008-05-20 06:11
Python 2.6 changes reverted in revision 63481.

Does anyone really want to pickle HTML parser state, or references to
the helper functions in the htmlentitydefs module?  I suspect head
examinations may be in order.  :-(
msg67107 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 07:13
On Mon, May 19, 2008 at 11:11 PM, Fred L. Drake, Jr.
<report@bugs.python.org> wrote:
>
> Fred L. Drake, Jr. <fdrake@acm.org> added the comment:
>
> Python 2.6 changes reverted in revision 63481.
>
> Does anyone really want to pickle HTML parser state, or references to
> the helper functions in the htmlentitydefs module?  I suspect head
> examinations may be in order.  :-(
>

I sincerely doubt it, but just to be safe, in the name of
backwards-compatibility, it should just be done across the board.

Thanks for doing the revert, Fred.
History
Date User Action Args
2008-05-20 18:47:49brett.cannonunlinkissue2775 dependencies
2008-05-20 07:13:38brett.cannonsetmessages: + msg67107
2008-05-20 06:11:40fdrakesetstatus: open -> closed
resolution: fixed
messages: + msg67105
2008-05-20 04:39:04brett.cannonlinkissue2775 dependencies
2008-05-20 04:37:50brett.cannonsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg67098
versions: - Python 3.0
2008-05-18 17:59:39brett.cannonunlinkissue2775 dependencies
2008-05-18 06:24:31fdrakesetstatus: open -> closed
resolution: fixed
messages: + msg67024
2008-05-16 12:46:30fdrakesetassignee: fdrake
nosy: + fdrake
2008-05-16 05:06:30brett.cannonlinkissue2775 dependencies
2008-05-16 05:06:16brett.cannoncreate